# Generated from create_custom_attributes-0.6.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name create_custom_attributes

Name: rubygem-%{gem_name}
Version: 0.6.3
Release: 1%{?dist}
Summary: Manage and Search Custom Attributes, Fields and Value for any ActiveRecord Model
License: MIT
URL: http://www.create.at
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3) >= 1.4
# BuildRequires: rubygem(sqlite3) < 2
BuildArch: noarch

%description
Adds capabilities to manage custom fields and values of various types to
database models. Also includes ElasticSearch integration.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 0.6.3-1
- Initial package
